<?php

namespace App\Helper;

class StatusHelper
{
    const STATUS_CODE_SMS_ALREADY_SEND = 'SMS_ALREADY_SEND';
    const STATUS_CODE_TURBO_SMS_SERVICE_ERROR = 'TURBO_SMS_SERVICE_ERROR';
    const STATUS_CODE_VERIFICATION_COMPLETE = 'VERIFICATION_COMPLETE';
    const STATUS_CODE_VERIFICATION_CODE_WILL_BE_USED = 'VERIFICATION_CODE_WILL_BE_USED';
    const STATUS_CODE_VERIFICATION_CODE_TIME_OUT = 'VERIFICATION_CODE_TIME_OUT';
    const STATUS_CODE_VERIFICATION_CODE_INCORRECT = 'VERIFICATION_CODE_INCORRECT';
    const STATUS_CODE_VERIFICATION_CODE_VALID = 'VERIFICATION_CODE_VALID';
    const STATUS_CODE_MESSAGE_TO_CLIENT = 'STATUS_CODE_MESSAGE_TO_CLIENT';
    const STATUS_CODE_CLIENT_ALREADY_IN_COMPANY = 'CLIENT_ALREADY_IN_COMPANY';
    const STATUS_CODE_CLIENT_NOT_FOUND = 'CLIENT_NOT_FOUND';
    const STATUS_CODE_COMPANY_NOT_FOUND = 'COMPANY_NOT_FOUND';
    const STATUS_CODE_COMPANY_MEMBER_NOT_FOUND = 'COMPANY_MEMBER_NOT_FOUND';
    const STATUS_CODE_ERROR_BEFORE_DELETE_MEMBER = 'ERROR_BEFORE_DELETE_MEMBER';
    const STATUS_CODE_MEMBER_ALREADY_HAVE_CARD = 'MEMBER_ALREADY_HAVE_CARD';
    const STATUS_CODE_SAVE_ERROR = 'SAVE_ERROR';
    const VALIDATION_FAILED = 'VALIDATION_FAILED';
    const UNAUTHENTICATED = 'UNAUTHENTICATED';
    const HTTP_METHOD_NOT_ALLOWED = 'HTTP_METHOD_NOT_ALLOWED';
    const NOT_FOUND = 'NOT_FOUND';
    const FORBIDDEN = 'FORBIDDEN';
    const STATUS_CODE_SMART_CARD_NOT_FOUND = 'STATUS_CODE_SMART_CARD_NOT_FOUND';
    const CARD_ALREADY_PUBLISHED = 'CARD_ALREADY_PUBLISHED';
    const CARD_HAVE_OWNER = 'CARD_HAVE_OWNER';
    const BEARER_TOKEN_NOT_CORRECT = 'BEARER_TOKEN_NOT_FOUND';
    const BEARER_TOKEN_NOT_CORRECT_CODE = 1001;
    const CLIENT_ALREADY_CREATED = 'CLIENT_ALREADY_CREATED';


}
